Releasing Squeekboard for PureOS
====================

This guide covers Byzantium only.

Make sure that you're on an up-to-date pureos/byzantium branch:

```
git checkout -b pureos/byzantium
git fetch packaging
git reset --hard packaging/pureos/byzantium
```

Update the upstream source files (use an appropriate version number):

```
gbp import-ref --upstream-tag v1.19.0 -u1.19.0 # requires the "v1.19.0" tag and that branch "pureos/byzantium" is checkedout
git reset --soft packaging/pureos/byzantium
git commit -am 'Update to 1.19.0'
```

Use `gbp dch --multimaint-merge  --ignore-branch` to update changelog. Make sure the release version corresponds to the upstream version.

Commit your chages, tag the merge request, remember to update version number:

```
git tag -s -u $maintainer_email@puri.sm pureos/1.19.0-1pureos1 -m 'squeekboard 1.19.0-1pureos1'
```

Follow the [pristine-tar guide](https://source.puri.sm/-/snippets/947).

To review:

```
git push review pureos/byzantium:please_review_v1.19.0
git push review pristine-tar v1.19.0 pureos/1.19.0-1pureos1
```

Once the review passes, push the same stuff. Make sure that the reviewed commit lives in the pureos/byzantium branch now.

Notes
-------

The upstream branch is currently being used for Amber. It's not meant to stay that way, and the upstream branch will produce Byzantium packages in the near future, possibly making this branch obsolete.
In that case, any divergent files would be carried over from here into upstream, but changelog would probably carry over from the upstream branch.
